org.eclipse.rdf4j.sail.model

## Class NonSerializables

- java.lang.Object
- - org.eclipse.rdf4j.sail.model.NonSerializables

- Deprecated.
  this feature is for internal use only: its existence, signature or behavior may change without warning from one release to the next.

      public class NonSerializables
      extends Object

  A registry to support (de)serialization of objects (over the lifetime of the VM). It uses weak references to allow entries to be garbage-collected when no longer used.
  Author:
    Mark

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `get(UUID key)` Deprecated. Retrieve the object registered with the supplied key.
    `static UUID` | `getKey(Object obj)` Deprecated. Retrieves the registry key for the given object.
    `static UUID` | `register(Object obj)` Deprecated. Add an object to the registry and returns the registry key.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### get

          public static final Object get(UUID key)

      Deprecated.
      Retrieve the object registered with the supplied key.
      Parameters:
        `key` - the key.
      Returns:
        the registered object, or `null` if no matching EvaluationStrategy can be found.

    - #### getKey

          public static final UUID getKey(Object obj)

      Deprecated.
      Retrieves the registry key for the given object.
      Parameters:
        `obj` - the object for which to retrieve the registry key.
      Returns:
        the registry key with which the supplied object can be retrieved, or `null` if the supplied object is not in the registry.

    - #### register

          public static final UUID register(Object obj)

      Deprecated.
      Add an object to the registry and returns the registry key. If the object is already present, the operation simply returns the key with which it is currently registered.
      Parameters:
        `obj` - the object to register
      Returns:
        the key with which the object is registered.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.